@import 'base';
@import '~bootstrap/scss/bootstrap.scss';

// Some best-practice CSS that's useful for most apps
// Just remove them if they're not what you want
html {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

.card-img-cont img{

object-fit:contain;

}

.card-item{
	transition:outline 1s ease, opacity 1s ease;
}

.card-item.card-no_action{
	outline:10px solid gray;
}

.card-item.card-sel{
	outline:10px solid #ff2861;
}

.card-item.card-nosel{
	opacity: 0.3;
}

.home-version-info {
  position: absolute;
  top: 5px;
  right: 10px;
  font-size: 14px;
}

.logo-container{
	display:flex;
	position:fixed;
  align-self: flex-start;
  flex-direction: column;
	width:100vw;
	height:100vh;
	align-items: center;
  justify-content: center;
  background: #ffffff;
}
.card-text-cont{
	width:100%;
	height:100%;
	display:flex;
	align-items: center;
  justify-content: center;

}


.wait-container{
  margin-top:50px;
  display:flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.lds-ripple {
  display: inline-block;
  position: relative;
  width: 64px;
  height: 64px;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid #bbb;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}
@keyframes lds-ripple {
  0% {
    top: 28px;
    left: 28px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: -1px;
    left: -1px;
    width: 58px;
    height: 58px;
    opacity: 0;
  }
}

.aligner{
  position:Absolute;
  left:0;
  width:100%;
  height:2px;
  background-color:#888;
  transition:top 0.25s linear;
}

.aligner.a-off{
  background-color:#888;
}
.aligner.a-on{
  background-color:red;
}
